/// MIPI DSI compatible instructions.
#[allow(dead_code)]
#[repr(u8)]
pub enum Instruction {
    NOP = 0x00,
    SWRESET = 0x01,
    RDDID = 0x04,
    RDDST = 0x09,
    SLPIN = 0x10,
    SLPOUT = 0x11,
    PTLON = 0x12,
    NORON = 0x13,
    INVOFF = 0x20,
    INVON = 0x21,
    DISPOFF = 0x28,
    DISPON = 0x29,
    CASET = 0x2A,
    RASET = 0x2B,
    RAMWR = 0x2C,
    RAMRD = 0x2E,
    PTLAR = 0x30,
    VSCRDER = 0x33,
    TEOFF = 0x34,
    TEON = 0x35,
    MADCTL = 0x36,
    VSCAD = 0x37,
    IDLOFF = 0x38,
    IDLON = 0x39,
    COLMOD = 0x3A,
    INVCO = 0xB4,
    DFC = 0xB6,
    PWR1 = 0xC0,
    PWR2 = 0xC1,
    PWR3 = 0xC2,
    VCMOFSET = 0xC5,
    PGC = 0xE0,
    NGC = 0xE1,
}
